Subject: Re: [NSIS] draft-ietf-nsis-tunnel-02.txt Comments

From: "Charles Shen" <[email-masked]>
Date: Mon, 3 Dec 2007 01:03:00 -0500

Hi Hannes,

Thanks for the comments and sorry for the tardy response as it has been
buried deep in the list messages. Please see responses in line.
On Aug 9, 2007 6:18 AM, Hannes Tschofenig <[email-masked]> wrote:

> I have read through draft-ietf-nsis-tunnel-02.txt and here are a few
> comments:
>
> * I don't know why you need the "Tunnel Signaling Capability Discovery"
>

This is for the Tunnel entry or exit point to learn whether the tunnel
traversal mechanism defined in the document is supported, in other words,
whether the box complies to this spec.

>
> * The document should not contain RFC 2119 language since the base
> functionality is already in GIST and in the NSLPs.
>

I should clean those out if they are already in GIST and NSLPs, except
probably for things specific to the tunnel traversal mechanism itself.

>
> * In many sections I got the impression that there is no real conclusion
> or suggestion since there cannot be one. The right answer to many of the
> issues is "It depends on the deployment and some policy decisions".
> Hence, I wasn't quite sure how much value a lot of text will be for the
> reader at the end.
>
>
I agree there are many alternatives to many aspects of the problem, some of
which I have moved from the main body to the appendix. There may still be
more possibilities than one expected to be. But I personally think the
problem calls for a solution and that having things listed out is still
better than everyone just applying a propritary approach without
discussion. Ideally things may be further narrowed down and converge on a
smaller set of basic scenarios. I would very much appreciate specific
comments on that.

thanks.

Charles

>
> Ciao
> Hannes
>
>
>
>
>
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
>
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis